- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherConstraintResult Class Reference

The OtherConstraintResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherConstraintResult:

[legend]
List of all members.

## Public Member Functions
| OtherConstraintResult ()
| Default constructor.
| ~OtherConstraintResult ()
| Class destructor.
bool | IsEqual (OtherConstraintResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| OtherConstraintResult ()
| Default constructor.
| ~OtherConstraintResult ()
| Class destructor.
## Public Attributes
int | numberOfCon
| the number of constraints which have values for this particular type of result
int | numberOfEnumerations
| the number of distinct values for this particular type of result
std::string | name
| the name of the result the user is defining
std::string | value
| this element allows a specific value associated with this particular type of result
std::string | description
| a brief description of the type of result
OtherConResult ** | con
OtherOptionEnumeration ** | enumeration
std::vector< OtherConResult * > | con

## Detailed Description

The OtherConstraintResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with constraints.

Definition at line 1687 of file OSResult.h.

## Constructor & Destructor Documentation

OtherConstraintResult::OtherConstraintResult | ( |  | ) |

Default constructor.

Definition at line 772 of file OSResult.cpp.

OtherConstraintResult::~OtherConstraintResult | ( |  | ) |

Class destructor.

Definition at line 787 of file OSResult.cpp.

References con, and numberOfCon.

OtherConstraintResult::OtherConstraintResult | ( |  | ) |

Default constructor.

OtherConstraintResult::~OtherConstraintResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OtherConstraintResult::IsEqual | ( | OtherConstraintResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 6899 of file OSResult.cpp.

bool OtherConstraintResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8167 of file OSResult.cpp.

References con, enumeration, OSRand(), OtherOptionEnumeration::setRandom(), and OtherConResult::setRandom().

Referenced by ConstraintSolution::setRandom().

## Member Data Documentation

int OtherConstraintResult::numberOfCon

the number of constraints which have values for this particular type of result

Definition at line 1693 of file OSResult.h.

Referenced by ~OtherConstraintResult().

int OtherConstraintResult::numberOfEnumerations

the number of distinct values for this particular type of result

Definition at line 1698 of file OSResult.h.

Referenced by OSResult::getOtherConstraintResultEnumerationDescription(), OSResult::getOtherConstraintResultEnumerationEl(), OSResult::getOtherConstraintResultEnumerationNumberOfEl(), OSResult::getOtherConstraintResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), and tempPrintArrays().

std::string OtherConstraintResult::name

the name of the result the user is defining

Definition at line 1701 of file OSResult.h.

std::string OtherConstraintResult::value

this element allows a specific value associated with this particular type of result

Definition at line 1706 of file OSResult.h.

std::string OtherConstraintResult::description

a brief description of the type of result

Definition at line 1709 of file OSResult.h.

OtherConResult** OtherConstraintResult::con

Definition at line 1716 of file OSResult.h.

Referenced by setRandom(), and ~OtherConstraintResult().

OtherOptionEnumeration** OtherConstraintResult::enumeration

Definition at line 1722 of file OSResult.h.

Referenced by OSResult::getOtherConstraintResultEnumerationDescription(), OSResult::getOtherConstraintResultEnumerationEl(), OSResult::getOtherConstraintResultEnumerationNumberOfEl(), OSResult::getOtherConstraintResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), setRandom(), and tempPrintArrays().

std::vector<OtherConResult*> OtherConstraintResult::con

Definition at line 1067 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp